---
title: List recent workspace webhook deliveries
description: 'Recent delivery attempts from Analytics Engine, newest first.'
---
# List recent workspace webhook deliveries

`GET https://api.releases.sh/v1/workspaces/{workspaceId}/webhooks/{id}/deliveries`

Recent delivery attempts from Analytics Engine, newest first.

**Auth:** Bearer token required.

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `failed` | query | boolean | no | `true` keeps only failed attempts. |
| `limit` | query | integer | no |  |
| `workspaceId` | path | string | yes |  |
| `id` | path | string | yes |  |

**Responses**

- `200` Delivery attempts
- `400` Invalid subscription id
- `401` Sign-in required
- `404` Workspace or webhook subscription not found (non-members get 404)
- `502` Analytics Engine query failed
- `503` Delivery history is not configured

Full request and response schemas: [OpenAPI 3.1 spec](https://api.releases.sh/v1/openapi.json).
